lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "devbox_launcher/version"

Gem::Specification.new do |spec|
  spec.name          = "devbox_launcher"
  spec.version       = DevboxLauncher::VERSION
  spec.authors       = ["Ramon Tayag"]
  spec.email         = ["ramon.tayag@gmail.com"]

  spec.summary       = %q{Conveniently launch your devbox}
  spec.homepage      = "https://github.com/bloom-solutions/devbox_launcher"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/bloom-solutions/devbox_launcher"
  spec.metadata["changelog_uri"] = "https://github.com/bloom-solutions/devbox_launcher/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables =
    spec.files.grep(%r{^exe/}) { |f| File.basename(f) } +
    spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "thor", "~> 1.0"
  spec.add_runtime_dependency "net-ssh", "~> 5.2"
  spec.add_runtime_dependency "ed25519", "~> 1.2"
  spec.add_runtime_dependency "bcrypt_pbkdf", "~> 1.0"
  spec.add_runtime_dependency "ssh-config", "0.1.3"
  spec.add_runtime_dependency "activesupport", "~> 6.0"
  spec.add_runtime_dependency "os", "~> 1.0"
  spec.add_runtime_dependency "ruby-watchman", "0.0.2"
end
